# syntax=docker/dockerfile:1.5.1
ARG REPOSITORY
ARG TAG
FROM ${REPOSITORY}/code-server:${TAG}

RUN --mount=type=cache,id=custom-ide,sharing=locked,target=/var/cache/apk \
  apk add shadow jq yq openssh docker-cli

# PHPStorm remote requries Glibc.
# Todo: Isle in 2023 comes with gcompat by default - can this simplify?
# https://github.com/sgerrand/alpine-pkg-glibc/issues/185#issuecomment-1245449995
#RUN --mount=type=cache,id=custom-ide,sharing=locked,target=/var/cache/apk \
#  GLIBC_VERSION=2.35-r0 && \
#  GLIBC_URL=https://github.com/sgerrand/alpine-pkg-glibc/releases/download/${GLIBC_VERSION} && \
#  wget -q -O /etc/apk/keys/sgerrand.rsa.pub https://alpine-pkgs.sgerrand.com/sgerrand.rsa.pub && \
#  wget ${GLIBC_URL}/glibc-${GLIBC_VERSION}.apk && \
#  apk add --force-overwrite glibc-${GLIBC_VERSION}.apk && \
#  ln -s -f /lib/ld-linux-x86-64.so.2 /lib64/ld-linux-x86-64.so.2

COPY rootfs /

RUN chown -R nginx:nginx /var/www
